---
title: delete-a-privatelink-endpoint
product: vercel
url: /docs/rest-api/sdk/networking/delete-a-privatelink-endpoint
canonical_url: "https://vercel.com/docs/rest-api/sdk/networking/delete-a-privatelink-endpoint"
last_updated: 2026-09-03
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about delete-a-privatelink-endpoint on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Delete a PrivateLink endpoint

```http
DELETE /v1/networking/privatelink/endpoints/{endpointId}
```

Deletes a PrivateLink endpoint.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `endpointId` | string | Yes | The unique identifier of the PrivateLink endpoint. |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `projectId` | string | Yes | The project ID the PrivateLink endpoint belongs to. |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

```typescript
import { Vercel } from "@vercel/sdk";

const vercel = new Vercel({
  bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await vercel.networking.deletePrivateLinkEndpoint({
    projectId: "prj_a1b2c3d4e5f6g7h8",
    endpointId: "ple_a1b2c3d4e5f6g7h8",
    teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
    slug: "my-team-url-slug",
  });

  console.log(result);
}

run();
```

## Example response

```json
"value"
```

## Responses

### 204: The PrivateLink endpoint was deleted.

Content-Type: `application/json`

```json
{
  "nullable": true
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

### 409: No description

### 410: No description

---

## Related

- [networking endpoints](/docs/rest-api#networking)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
